package org.rcisoft.common.util.outClient;

import com.alibaba.fastjson.JSON;
import org.rcisoft.common.util.OkHttpUtil;
import org.rcisoft.common.util.feignDto.MTLogReqDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * @author David
 */
@Component
public class MTLogApiRequestClient {

    @Autowired
    private OkHttpUtil okHttpUtil;

    @Value("${mt.api}")
    private String api;

    /**
     *
     * @param zxAccountId
     * @param accessToken
     * @return
     */
    public String save(String zxAccountId, MTLogReqDTO mtLogReqDTO, String accessToken) {
        Map<String, String> headerParams = new HashMap<>(2);
        headerParams.put("clientType", "app");
        headerParams.put("Authorization", "Bearer " + accessToken);
        return okHttpUtil.postForJson(api + "log/api/v1/applog/save?zxAccountId=" + zxAccountId, JSON.toJSONString(mtLogReqDTO), headerParams);
    }

}
